i2p.susi.webmail

## Class WebMail.IDSorter

- java.lang.Object
- - i2p.susi.webmail.WebMail.IDSorter

- All Implemented Interfaces:
    Comparator
  Enclosing class:
    WebMail

       class WebMail.IDSorter
      extends Object
      implements Comparator

  sorts Mail objects by id field
  Author:
    susi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebMail.IDSorter(MailCache mailCache)` Set MailCache object, where to get Mails from

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(Object arg0, Object arg1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### WebMail.IDSorter

          public WebMail.IDSorter(MailCache mailCache)

      Set MailCache object, where to get Mails from
      Parameters:
        `mailCache` -

  - ### Method Detail

    - #### compare

          public int compare(Object arg0,
                    Object arg1)

      Specified by:
        `compare` in interface `Comparator`